# fn() buildAlignmentGraph
Builds an AlignmentGraph from a seqt of input alignments.

Defined in | <seqan/graph_msa.h>
Signature | `void buildAlignmentGraph(matches[, score], outGraph, tag); void buildAlignmentGraph(matches, score, outGraph, scoreType, ReScore);`

## Parameters

`matches` | A String of alignments, e.g. Fragment or Align.
`score` | A String of score values.
`outGraph` | An AlignmentGraph with a previously filled DependentStringSet.
`scoreType` | A Score type.
`tag` | A tag indicating the score of matches. See AlignmentGraphCombinationTags.

## Detailed Description

Calls the function matchRefinement and adapts the scores according to `tag`.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn buildAlignmentGraph
     *
     * @headerfile <seqan/graph_msa.h>
     *
     * @brief Builds an @link AlignmentGraph @endlink from a seqt of input
     *        alignments.
     *
     * @signature void buildAlignmentGraph(matches[, score], outGraph, tag);
     * @signature void buildAlignmentGraph(matches, score, outGraph, scoreType,
     *            ReScore);
     *
     * @param[in] matches A @link String @endlink of alignments, e.g. @link Fragment
     *                    @endlink or @link Align @endlink.
     * @param[in] score A @link String @endlink of score values.
     * @param[out] outGraph An @link AlignmentGraph @endlink with a previously
     *                      filled @link DependentStringSet @endlink.
     * @param[in] scoreType A @link Score @endlink type.
     * @param[in] tag A tag indicating the score of matches. See @link
     *                AlignmentGraphCombinationTags @endlink.
     *
     * Calls the function @link matchRefinement @endlink and adapts the scores
     * according to <tt>tag</tt>.
     */